summaryrefslogtreecommitdiffstats
path: root/academic
diff options
context:
space:
mode:
author Petar Petrov <ppetrov@paju.oulu.fi>2013-03-11 21:13:19 -0400
committer dsomero <xgizzmo@slackbuilds.org>2013-03-22 07:16:40 -0400
commit5898ebe570201af207c374a1b5c4fe721f5350f7 (patch)
tree9eeeef1fe81ad00a3375f216197ce4aec606aa57 /academic
parent17ef36e40eb0d9183fcd7a29e9ddda3d1a96950a (diff)
downloadslackbuilds-5898ebe570201af207c374a1b5c4fe721f5350f7.tar.gz
slackbuilds-5898ebe570201af207c374a1b5c4fe721f5350f7.tar.xz
academic/ij-plugins-LOCI: Added (Plugins for ImageJ)
Signed-off-by: dsomero <xgizzmo@slackbuilds.org>
Diffstat (limited to 'academic')
-rw-r--r--academic/ij-plugins-LOCI/README14
-rw-r--r--academic/ij-plugins-LOCI/ij-plugins-LOCI.SlackBuild54
-rw-r--r--academic/ij-plugins-LOCI/ij-plugins-LOCI.info10
-rw-r--r--academic/ij-plugins-LOCI/slack-desc19
4 files changed, 97 insertions, 0 deletions
diff --git a/academic/ij-plugins-LOCI/README b/academic/ij-plugins-LOCI/README
new file mode 100644
index 0000000000..bff5f2118f
--- /dev/null
+++ b/academic/ij-plugins-LOCI/README
@@ -0,0 +1,14 @@
+LOCI Bio-Formats plugins for ImageJ
+
+The Laboratory for Optical and Computational Instrumentation (LOCI) is
+a biophotonics instrumentation laboratory with a mission is to develop
+advanced optical and computational techniques for imaging and
+experimentally manipulating living specimens.
+
+Bio-Formats is a standalone Java library for reading and writing life
+sciences image file formats. It is capable of parsing both pixels and
+metadata for a large number of formats, as well as writing to several
+formats.
+
+This is the LOCI tools complete bundle and contains everything needed
+to read images into ImageJ using Bio-Formats.
diff --git a/academic/ij-plugins-LOCI/ij-plugins-LOCI.SlackBuild b/academic/ij-plugins-LOCI/ij-plugins-LOCI.SlackBuild
new file mode 100644
index 0000000000..0a1c87a154
--- /dev/null
+++ b/academic/ij-plugins-LOCI/ij-plugins-LOCI.SlackBuild
@@ -0,0 +1,54 @@
+#!/bin/sh
+
+# Slackware build script for ij-plugins-LOCI
+
+# Copyright 2013 Petar Petrov, ppetrov@paju.oulu.fi
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=ij-plugins-LOCI
+VERSION=${VERSION:-4.4.6}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+SRCNAM=loci_tools.jar
+ARCH=noarch
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+
+mkdir -p $PKG/usr/share/ImageJ/plugins/LOCI
+cp -a $CWD/$SRCNAM $PKG/usr/share/ImageJ/plugins/LOCI
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/academic/ij-plugins-LOCI/ij-plugins-LOCI.info b/academic/ij-plugins-LOCI/ij-plugins-LOCI.info
new file mode 100644
index 0000000000..8cb1740d8d
--- /dev/null
+++ b/academic/ij-plugins-LOCI/ij-plugins-LOCI.info
@@ -0,0 +1,10 @@
+PRGNAM="ij-plugins-LOCI"
+VERSION="4.4.6"
+HOMEPAGE="http://loci.wisc.edu/bio-formats/imagej"
+DOWNLOAD="http://cvs.openmicroscopy.org.uk/snapshots/bioformats/4.4.6/loci_tools.jar"
+MD5SUM="8ed83709800ef0cd8739e3a61f490bce"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="ImageJ"
+MAINTAINER="Petar Petrov"
+EMAIL="ppetrov@paju.oulu.fi"
diff --git a/academic/ij-plugins-LOCI/slack-desc b/academic/ij-plugins-LOCI/slack-desc
new file mode 100644
index 0000000000..ad0a0e9f55
--- /dev/null
+++ b/academic/ij-plugins-LOCI/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+ij-plugins-LOCI: ij-plugins-LOCI (LOCI Bio-Formats plugins for ImageJ)
+ij-plugins-LOCI:
+ij-plugins-LOCI: The LOCI tools complete bundle and contains everything needed
+ij-plugins-LOCI: to read images into ImageJ using Bio-Formats.
+ij-plugins-LOCI:
+ij-plugins-LOCI: Homepage: http://loci.wisc.edu/bio-formats/imagej
+ij-plugins-LOCI:
+ij-plugins-LOCI:
+ij-plugins-LOCI:
+ij-plugins-LOCI:
+ij-plugins-LOCI: